{% extends "layouts/default.njk" %}
{% set TITLE = "오시는 길" %}
{% set PAGE_ID = "01"  %}
{% set PAGE_DEPTH_ID = "0102"  %}

{% block scripts %}
<!-- API KEY 발급받아서 쓰시면됩니다. -->
<!--
<script src="https://maps.googleapis.com/maps/api/js?key=[API KEY]&callback=initMap" defer></script>
-->
{% endblock %}

{% block content %}
<h1 class="ui-title">소개</h1>

<!-- tabs -->
<div class="app-nav">
  <button type="button" class="app-nav__dropdown is-mobile">오시는 길</button>
  <ul class="mui-tabs__bar">
    <li class="mui-col-md-4"><a href="#">회사소개</a></li>
    <li class="mui-col-md-4 mui--is-active"><a href="#">오시는 길</a></li>
    <li class="mui-col-md-4"><a href="#">문의하기</a></li>
  </ul>
</div>

<!-- map -->
<div class="about--02">
  <div id="map" class="map">
    <img src="{{ STATIC_URL }}/assets/img/img_map.png" alt="">
  </div>
  <!-- google map guide code -->
  <script>
    function initMap() {
      var ncpark = {lat: 37.498844, lng: 127.034730};
      var map = new google.maps.Map(document.getElementById("map"), {
        center: ncpark,
        zoom: 14
      });

      var marker;
      marker = new google.maps.Marker({
        position: ncpark,
        //icon: [URL],
        map: map
      });

      var infowindow = new google.maps.InfoWindow();
      var info = '판로지스';
      google.maps.event.addListener(marker, 'click', function(){
        infowindow.setContent(info);
        infowindow.open(map, marker);
      })

      if(marker){
        marker.addListener('click', function(){
          map.setCenter(this.getPosition());
          map.setZoom(15);
        })
      }
    }
  </script>
  <!-- //google map guide code -->

  <!-- introduce -->
  <div class="introduce">
    <h2 class="introduce__title">
      <span class="color-secondary">판로지스 주식회사는</span>
      <span class="color-primary">이곳에 위치하고 있습니다</span>
    </h2>
    <div class="introduce__desc">
      <p class="introduce__desc--text">서울특별시 강남구 테헤란로 20길 15, 2층</p>
      <div class="buttons">
        <a href="https://map.naver.com/v5/directions/-/14141446.031892035,4508856.295267474,%EC%84%9C%EC%9A%B8%ED%8A%B9%EB%B3%84%EC%8B%9C%20%EA%B0%95%EB%82%A8%EA%B5%AC%20%ED%85%8C%ED%97%A4%EB%9E%80%EB%A1%9C20%EA%B8%B8%2015,,/-/car?c=14140961.1344939,4508939.8982672,15,0,0,0,dh" target="_blank" title="새창" class="btn btn__default">네이버 지도</a>
        <a href="https://www.google.com/maps/place/%EC%84%9C%EC%9A%B8%ED%8A%B9%EB%B3%84%EC%8B%9C+%EA%B0%95%EB%82%A8%EA%B5%AC+%EC%97%AD%EC%82%BC%EB%8F%99+%ED%85%8C%ED%97%A4%EB%9E%80%EB%A1%9C20%EA%B8%B8+15+2%EC%B8%B5/@37.4987083,127.0325576,17z/data=!3m1!4b1!4m5!3m4!1s0x357ca155e1ed3c83:0x8cc9092abadea087!8m2!3d37.4987083!4d127.0347463" target="_blank" title="새창" class="btn btn__default">구글 맵</a>
      </div>
      <div class="introduce__traffic">
        <div class="introduce__traffic--item">
          <div class="icons">
            <i class="ico ico--exit"><span class="sr-only">2호선</span></i>
          </div>
          <p>역삼역 3번출구 <br> 도보 3분</p>
        </div>
        <div class="introduce__traffic--item">
          <div class="icons">
            <i class="ico ico--subway"></i>
          </div>
          <p>360, 740, 146 <br> 역삼역, 포스코타워 정류장</p>
        </div>
      </div>
    </div>
  </div>
  <!-- //introduce -->

</div>
{% endblock %}
